@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
*{
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   text-decoration: none;
   border: none;
   outline: none ;
   scroll-behavior: smooth;
   font-family: 'Poppins', sans-serif;
}
:root{
   --background-color:#1f242d  ;
   --secound-background-color : #323946 ;
   --txt-color : #fff ;
   --main-color : #0ef ;
}
html{
   font-size: 62.5%;
   overflow-x: hidden;
}
body{
   background-color: var(--background-color);
   color: var(--txt-color);
}
.header{
   position: fixed;
   top: 0;
   left: 0;
   display: flex;
   justify-content: space-between;
   background-color: var(--background-color);
   align-items: center;
   width: 100%;
   padding: 2rem 9% ;
   z-index: 1;
}
.logo{
   font-size: 2.5rem;
   color: var(--txt-color);
   cursor: default;
   font-weight: 600;
   letter-spacing: 1px;
}
.header.sticky{
   border-bottom: .1rem solid rgba(0, 0, 0, .2);
}
.navbar a {
   font-size: 1.7rem;
   margin-left: 4rem;
   color: var(--txt-color);
   transition: .4s;
}
.navbar a:hover
, .navbar a.active{
   color: var(--main-color);
}
#menu-icon{
   font-size: 3.6rem;
   color: var(--txt-color);
   display: none;
}
section{
   min-height: 100vh;
   padding: 10rem 9% 2rem;
}
section h2 {
   font-size: 4.5rem;
   text-align: center;
}  

.home{
   display: flex;
   justify-content: center;
   align-items: center;
}
.home-content h3{
   font-size: 3.2rem;
   font-weight: 700;
}
.home-content h3:nth-of-type(2){
   margin-bottom: 2rem
}
.home-content h1{
   font-size: 5.6rem;
   font-weight: 700;
   line-height: 1.3;
}
span{
   color: var(--main-color) ;
}
.home-img img{
   width: 28vw;
   box-shadow: 0 0 6rem var(--main-color);
   animation: floatImage 4s ease-in-out infinite;
}
@keyframes floatImage {
   0%{
      transform: translateY(0%);
   }
   50%{
      transform: translateY(-2.5rem);
   }
   100%{
      transform: translateY(0%);
   }
}
.home-content p{
   font-size: 1.6rem;
}
.socail-medai a{
   display: inline-flex;
   justify-content: center;
   align-items: center;
   width: 4rem;
   height: 4rem;
   background: transparent;
   border: .2rem solid var(--main-color);
   border-radius: 50%;
   font-size: 2rem;
   color: var(--main-color);
   margin: 3rem 1.5rem 3rem 0;
   transition: .5s ease;
}
.socail-medai a:hover{
   background-color: var(--main-color);
   color: var(--secound-background-color);
   box-shadow: 0 0 1rem var(--main-color);
}
.btn{
   display: inline-block;
   background-color: var(--main-color);
   box-shadow:  0 0 1rem var(--main-color);
   border-radius: 4rem;
   padding: 1rem 2.8rem;
   font-size: 1.6rem ;
   color: var(--secound-background-color);
   letter-spacing: .1rem;
   font-weight: 600;
   transition: .5s ease;
}
.btn:hover{
   box-shadow: none;
}
.skills h2{
   margin-bottom: 4rem;
}
.sklls-content{
   display: flex;
   justify-content: center;
   align-items: center;
   flex-wrap: wrap;
   gap: 2rem;
}

.skil-box{
   flex:  1 1 26rem;
   background: var(--secound-background-color);
   padding: 3rem 1rem 4rem;
   border-radius: 3rem ;
   text-align: center;
   border:  .2rem solid var(--background-color);
   transition: .5s ease;
}
.skil-box:hover{
   border-color: var(--main-color);
   transform: scale(1.02);
   opacity: .5;
}
.skil-box i {
   font-size: 7rem;
   color: var(--main-color);
   margin-bottom: 2rem;
}        
.skil-box h3 {
   font-size: 2.6rem;
}
.projet{
   background-color: var(--secound-background-color);
}
.projet h2{
   margin-bottom: 4rem;
}
.project-continer{
   display: grid;
   grid-template-columns: repeat(3,1fr);
   align-items: center;
   gap :2rem;
}
.project-box{
   position: relative;
   border-radius: 2rem;
   box-shadow: 0 0 1rem var(--background-color);
   overflow: hidden;
   display: flex;
}
.project-box img{
   width: 100%;
   height: 25rem;
   transition: .5s ease;
}
.project-box:hover img{
   transform: scale(1.1);
}
.project-box .project-layer{
   position: absolute;
   left: 0;
   top: 0;
   width: 100%;
   height: 100%;
   background-color: rgb(0 0 0 / 70%);
   display: flex;
   justify-content: center;
   align-items: center;
   flex-direction: column;
   text-align: center;
   padding: 0 4rem;
   transform: translateY(100%);
   transition: .5s ease;
}
.project-box:hover .project-layer{
   transform: translateY(0);
}
.project-box .project-layer h3{
   font-size: 3rem;
}
.project-box .project-layer p{
   font-size: 1.6rem;
   margin:3rem 0 1rem ;
}
.project-box .project-layer a{
   display: inline-flex;
   justify-content: center;
   align-items: center;
   width: 5rem;
   height: 5rem;
   background: var(--txt-color);
   border-radius: 50%;
}
.project-box .project-layer a i {
   font-size: 2rem;
   color: var(--secound-background-color);
}
.contact h2 {
   margin-bottom: 2rem;
}
.contact form{
   max-width: 70rem;
   margin : 1rem auto;
   text-align: center;
   margin-bottom: 3rem;
}
.contact form .input-box{
   display: flex;
   justify-content: space-between;
   flex-wrap: wrap;
}
.contact form .input-box input
,.contact form textarea{
   width: 100%;
   padding: 1.5rem;
   font-size: 1.6rem;
   color: var(--txt-color);
   background-color: var(--secound-background-color);
   border-radius: .8rem;
   margin: .7rem 0;
}
.contact form .input-box input{
   width: 49%;
}
.contact form textarea{
   resize: none;
}
input.btn{
   margin-top: 2rem;
   cursor: pointer;
}


/* break points */
@media (max-width:1200px) {
   html{
      font-size: 55%;
   }
}
@media (max-width:991px) {
   .header{
      padding: 2rem 3% 3rem;
   }
   .skills{
      padding-bottom: 7rem;
   }
   .projet{
      padding-bottom: 7rem;
   }
   .contact{
      min-height: auto;
   }
}
@media (max-width:768px) {
   #menu-icon{
      display: block;
      
   }
   .navbar {
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      padding: 1rem 3%;
      background-color: var(--background-color);
      border-top: 1rem solid rgba(0, 0, 0, .2);
      box-shadow:0 .5rem 1rem solid rgba(0, 0, 0, .2);
      display: none;
   }
   .navbar.active{
      display: block;
   }
   .navbar a {
      display: block;
      font-size: 2rem;
      margin: 3rem;
   }
   .home h3{
      font-size: 2.6rem;
   }
   .home h1{
      font-size: 5rem;
   }
   .skills h2{
      margin-bottom: 3rem;
   }
   .projet{
      margin-bottom: 3rem;
   }
   .project-continer{
      grid-template-columns: repeat(2,1fr);
   }
}
@media (max-width:671px) {
   .project-continer{
      grid-template-columns: 1fr;
   }
}
@media (max-width:450px) {
   html{
      font-size: 50%;
   }
   .contact form .input-box input{
      width: 100%;
   }
}
